/* ------------------------------
   General 
------------------------------ */

:root :where(.is-layout-constrained) > * {
  margin-block-start: 0;
}

/* Filets utiles */
html {
  scrollbar-gutter: stable both-edges;
  overflow-anchor: none;
}

.entry-content .ast-mobile-menu-trigger-outline {
  border: none;
}

html {
  scroll-behavior: smooth;
}

body {
  overflow-x: auto;
}

.sr-only,
.screen-reader-text {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

a:focus,
.site .skip-link:focus,
.ast-button-wrap .menu-toggle:focus,
.ast-menu-toggle:focus,
input:focus {
  outline: none;
}

.ast-button,
.ast-button,
.ast-button,
.button,
.button,
.button,
button,
button,
button,
input[type="submit"],
input[type="submit"],
input[type="submit"],
input[type="button"],
input[type="button"],
input[type="button"],
input[type="reset"],
input[type="reset"],
input[type="reset"],
.wp-block-button__link,
.wp-block-button__link,
.wp-block-button__link,
.uagb-buttons .uagb-button__link,
.uagb-buttons .uagb-button__link,
.uagb-buttons .uagb-button__link,
.uagb-buttons-repeater .uagb-button__link {
  transition: all 200ms linear !important;
}

/* ------------------------------
   Titres et Texte 
------------------------------ */
.entry-content h2,
.entry-content h3 {
  font-style: italic;
}

.about-home,
.first-block_service *,
.last-block_service * {
  font-size: 32px;
  font-size: clamp(2rem, 1vw, 2.5rem);
  line-height: 1.2;
}

.entry-content .last-block_service .uagb-heading-text {
  font-size: an 40px;
  font-size: clamp(2.5rem, 1.5vw, 3rem);
  line-height: 1.2;
}

p:last-child {
  margin-bottom: 0;
}

.entry-content .outline-text {
  color: transparent;
  -webkit-text-stroke: 2px var(--ast-global-color-0);
  text-stroke: 2px var(--ast-global-color-0);
}

/* ------------------------------
   Menu
------------------------------ */

.ast-theme-transparent-header
  #ast-fixed-header
  .ast-main-header-wrap
  .main-header-bar,
#ast-fixed-header .main-header-bar {
  width: 84% !important;
  box-shadow: none;
  border-radius: 0 0 20px 20px;
  padding: 0 20px;
  padding: 0 1.25rem;
  margin: auto;
}

.ast-mobile-popup-drawer .ast-mobile-popup-header {
  position: relative;
}

.ast-mobile-popup-drawer .ast-mobile-popup-header {
  position: absolute;
  display: block;
  z-index: 1;
}

.ast-close-svg {
  width: 32px;
  height: 32px;
}

.ast-builder-menu-mobile .main-navigation .main-header-menu {
  height: 100vh;
  height: 100dvh;
  flex-direction: column;
  align-items: center;
  font-size: 36px;
  font-size: clamp(2.25rem, 3vw, 3rem);
}

.ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item {
  flex: 1;
  display: flex;
  align-items: center;
}

.ast-builder-menu-mobile
  .main-navigation
  .main-header-menu
  .menu-item
  .menu-link {
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 1;
  padding: 0;
  background: var(--ast-global-color-5);
}

.ast-builder-menu-mobile
  .main-navigation
  .main-header-menu
  .menu-item
  .menu-link:hover {
  background: var(--ast-global-color-1);
}

.ast-builder-menu-mobile
  .main-navigation
  .main-header-menu
  .menu-item
  .menu-link
  .menu-text {
  margin: auto;
}

/* ------------------------------
   About 
------------------------------ */

/* ------------------------------
   Services cards 
------------------------------ */

.entry-content .our-services {
  padding-left: 0;
  padding-right: 0;
  margin-left: 0;
  margin-right: 0;
}

.entry-content .section__service-cards {
  padding: 20px;
  padding: 1.25rem;
}

.wp-block-uagb-container.uagb-layout-grid.section__service-cards {
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
}

.entry-content .service-icon {
  justify-content: flex-start;
}

.entry-content .description-card {
  width: 105%;
  padding: 15px 10px;
  padding: 0.938rem 0.625rem;
  margin-left: -2.5% !important;
}

.entry-content ul {
  padding-left: 16px;
  padding-left: 1rem;
}

/* ------------------------------
   Button cards 
------------------------------ */

.entry-content .wrapper__btn-card {
  margin-top: auto;
}

.entry-content .card-btn {
  margin-block-start: 0;
}

.entry-content .card-btn {
  margin-block-start: 0;
}

.entry-content .card-btn a {
  border-radius: 12px;
}

/* ------------------------------
   Splide
------------------------------ */

.splide__slide {
  margin: 0 !important;
}

.post-loop {
  display: flex;
  flex-direction: column;
  height: 100%;
  gap: 30px;
  gap: 1.875rem;
}

.container-img,
.container-text {
  width: 100%;
}

.container-img {
  position: relative;
  max-width: 100%;
  flex-grow: 1;
  border-radius: 20px;
  overflow: hidden;
}

.container-img a img {
  width: 100%;
  height: 100%;
  min-height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  display: block;
}

.container-img a::after,
.uagb-loop-post figure a::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: var(--ast-global-color-0);
  opacity: 0;
  transition: all 300ms linear;
}

.container-img a:hover::after,
.container-img a:focus::after,
.container-img a:active::after,
.uagb-loop-post figure a:hover::after,
.uagb-loop-post figure a:focus::after,
.uagb-loop-post figure a:active::after {
  opacity: 0.3;
}

.container-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.container-text a {
  text-decoration: none;
}

.container-text h2 a:hover,
.container-text h2 a:focus,
.container-text h2 a:active {
  opacity: 0.5;
}

.container-text h2 {
  margin-bottom: 10px;
  margin-bottom: 0.625rem;
}

.container-text h2::after {
  content: "";
  display: block;
  width: 50px;
  height: 1px;
  background-color: var(--ast-global-color-0);

  margin-top: 20px;
  margin-top: 1.25rem;
}

.article-info {
  display: flex;
  color: var(--ast-global-color-0);
  margin-bottom: 30px;
  margin-bottom: 1.875rem;
}

.entry-content .article-info * {
  margin-bottom: 0;
  font-weight: 900;
}

.article-cat {
  position: relative;
  margin-right: 30px;
  margin-right: 1.875rem;
  text-decoration: none;
}

.article-cat::after {
  content: "";
  position: absolute;
  bottom: 2px;
  left: 0;
  right: 0;
  margin: auto;
  height: 1px;
  width: 100%;
  background: var(--ast-global-color-0);

  transform: scaleX(0);
  transform-origin: center;
  transition: transform 200ms linear;
}

.article-cat:hover::after,
.article-cat:focus::after,
.article-cat:active::after {
  transform: scaleX(1);
}
.discover-button {
  display: flex;
}

.discover-button .button {
  cursor: pointer;
  transition: all 200ms linear;
}

.discover-button .button:hover,
.discover-button .button:focus,
.discover-button .button:active {
  background-color: var(--ast-global-color-1);
}

.custom-home-splide .splide__arrows {
  position: absolute;
  bottom: -56px;
  z-index: 1;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 1rem;
}

.custom-home-splide .splide__arrow {
  position: static;
  transform: translateY(0);
  background: rgba(11, 56, 88, 0.1);
  opacity: 1;
}

.custom-home-splide .splide__arrow svg {
  fill: var(--ast-global-color-0);
  transition: all 200ms linear;
}

/* état hover ou active */
.custom-home-splide .splide__arrow:hover svg,
.custom-home-splide .splide__arrow:active svg {
  color: var(--ast-global-color-1);
  opacity: 1;
}

.custom-home-splide .splide__arrow:hover:not(:disabled) {
  opacity: 1;
}

.custom-home-splide .splide__arrow:hover svg {
  fill: var(--ast-global-color-1);
}

.splide__pagination.splide__pagination--ltr {
  bottom: -74px;
  margin: 0;
}
.splide__pagination .splide__pagination__page {
  background-color: var(--ast-global-color-1);
  opacity: 0.7;
}

.splide__pagination .splide__pagination__page:hover,
.splide__pagination .splide__pagination__page:focus {
  background-color: var(--ast-global-color-0);
}

.splide__pagination .splide__pagination__page.is-active {
  background-color: var(--ast-global-color-0);
  opacity: 1;
}

/* ------------------------------
   Process card
------------------------------ */

.section__process-cards {
  counter-reset: step;
}

.entry-content
  .wp-block-uagb-container.section__process-cards
  .uagb-container-inner-blocks-wrap {
  grid-template-columns: repeat(1, minmax(320px, 1fr)) !important;
}

.process_card {
  position: relative;
}

.process_card h2 {
  word-break: normal;
  font-size: 30px;
  font-size: 1.875rem;
}

.process_card::before {
  counter-increment: step;
  content: counter(step, decimal-leading-zero);
  display: block;
  position: absolute;
  left: -12px;
  top: 12px;
  color: var(--ast-global-color-0);
  opacity: 0.3;
  font-size: 120px;
  font-weight: 900;
}

.process_card:hover:before,
.process_card:focus:before {
  color: var(--ast-global-color-1);
}

.entry-content .uagb-faq-item-active,
.entry-content .uagb-faq-item-active:hover,
.entry-content .uagb-faq-item-active:focus,
.entry-content .uagb-faq-item-active:active {
  background: rgba(11, 56, 88, 0.3);
  border: none;
  border-radius: 20px;
}

.entry-content .uagb-faq-item:has(+ .uagb-faq-item.uagb-faq-item-active) {
  border: none !important;
}

/* ------------------------------
   Formulaire
------------------------------ */

.form-row {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 20px;
  gap: 1.25rem;
  margin-bottom: 30px;
  margin-bottom: 1.875rem;
}
.form-row:last-of-type {
  margin: 0;
}

.entry-content .form-group {
  display: block;
  position: relative;
  width: 100%;
  flex: 1;
}

.entry-content .wpcf7-form input,
.entry-content .wpcf7-form textarea,
.entry-content .wpcf7-select {
  width: 100%;
  max-width: 100%;
  color: var(--ast-global-color-4);
  background: 0;
  border: 1px solid var(--ast-global-color-1);
  border-radius: 20px;
  line-height: 1.2;
  padding: 20px;
  padding: 1.25rem;
  margin-top: 10px;
  margin-top: 0.675rem;
}

.entry-content .wpcf7-form label {
  white-space: nowrap;
  color: var(--ast-global-color-4);
}

.entry-content .wpcf7-form .question label {
  white-space: normal;
}

.entry-content input.wpcf7-date {
  padding: 19px 20px;
  padding: 1.188rem 1.25rem;
}

.entry-content .wpcf7-select {
  padding: 17.35px 20px;
  padding: 1.084rem 1.25rem;
}

option {
  background-color: var(--ast-global-color-0);
}

.page-contact option {
  background-color: var(--ast-global-color-4);
}

.entry-content .wpcf7-form input::-moz-placeholder,
.entry-content .wpcf7-form textarea::-moz-placeholder {
  color: var(--ast-global-color-4);
}

.entry-content .wpcf7-form input::placeholder,
.entry-content .wpcf7-form textarea::placeholder {
  color: var(--ast-global-color-4);
}

.entry-content .wpcf7-form input:hover,
.entry-content .wpcf7-form input:focus,
.entry-content .wpcf7-form input:active,
.entry-content .wpcf7-form .wpcf7-select:hover,
.entry-content .wpcf7-form .wpcf7-select:focus,
.entry-content .wpcf7-form .wpcf7-select:active,
.entry-content .wpcf7-form textarea:hover,
.entry-content .wpcf7-form textarea:focus,
.entry-content .wpcf7-form textarea:active {
  border-style: solid;
  border-color: var(--ast-global-color-0);
}

.entry-content .wpcf7-form .form-group.ascenseur {
  display: flex;
}

.entry-content .wpcf7-form .form-group.ascenseur p {
  display: flex;
}

.form-group.ascenseur .ascenseur-checkbox {
  display: flex;
}

.entry-content .wpcf7-form .form-group.ascenseur label {
  display: flex;
  justify-content: center;
  align-items: center;

  margin-right: 20px;
  margin-right: 1.25rem;
}

.entry-content .wpcf7-form .form-group.ascenseur .wpcf7-list-item.first {
  margin: 0;
}

.entry-content .wpcf7-form textarea {
  min-height: 6rem;
  max-height: 10rem;
  min-width: 100%;
}

.entry-content .politique {
  display: flex;
  align-items: center;
  color: var(--ast-global-color-4);
  font-size: 0.875rem;
  line-height: 1;
  cursor: pointer;
}

.politique a {
  color: var(--ast-global-color-4);
  text-decoration: underline;
}

.politique a:hover,
.politique a:focus,
.politique a:active {
  color: var(--ast-global-color-1);
  text-decoration: underline;
}

.entry-content .wpcf7-list-item {
  display: flex;
  align-items: center;
}

.entry-content input[type="checkbox"],
.entry-content span.checkbox {
  position: relative;
  display: block;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  min-width: 1.5rem;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 8px;
  font: inherit;
  color: currentColor;
  border: 1px solid var(--ast-global-color-1);
  padding: 0;
  margin: 0 10px 0 0;
  margin: 0 0.625rem 0 0;
  cursor: pointer;
  transition: all cubic-bezier(0, 0.8, 0.7, 0.8) 0.3s;
}
.entry-content input[type="checkbox"]::before,
.entry-content span.checkbox::before {
  content: " ";
  position: absolute;
  left: 8px;
  top: 3px;
  display: block;
  width: 0.4375rem;
  height: 0.875rem;
  border: solid var(--ast-global-color-0);
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
  opacity: 0;
  transition: all cubic-bezier(0, 0.8, 0.7, 0.8) 0.3s;
}

.entry-content input[type="checkbox"]:checked::before,
.entry-content span.checkbox:checked::before {
  opacity: 1;
}

.entry-content input[type="checkbox"]:hover,
.entry-content input[type="checkbox"]:focus,
.entry-content input[type="checkbox"]:active,
.entry-content span.checkbox:hover,
.entry-content span.checkbox:focus,
.entry-content span.checkbox:active {
  border-color: var(--ast-global-color-1);
  background: var(--ast-global-color-1);
}

.entry-content .wpcf7-form input[type="submit"] {
  color: var(--ast-global-color-1);
  border: 0;
  background: var(--ast-global-color-0);
  transition: all cubic-bezier(0, 0.8, 0.7, 0.8) 0.5s;
}
.entry-content .wpcf7-form input[type="submit"]:hover,
.entry-content .wpcf7-form input[type="submit"]:focus,
.entry-content .wpcf7-form input[type="submit"]:active {
  color: var(--ast-global-color-0);
  background-color: var(--ast-global-color-1);
}

.entry-content .wpcf7-form .wpcf7-spinner {
  display: flex;
  position: absolute;
  margin: auto;
  left: 0;
  right: 0;
  opacity: 1;
  background-color: var(--ast-global-color-1);
}

.entry-content .wpcf7-not-valid-tip {
  position: relative;
  top: 8px;
  text-align: center;
}

.entry-content .wpcf7 form.invalid .wpcf7-response-output {
  border-radius: 8px;
  text-align: center;
  color: var(--ast-global-color-4);
}

@media (min-width: 768px) {
  .entry-content .form-row {
    flex-direction: row;
  }

  .entry-content .wpcf7-form .form-group.ascenseur {
    justify-content: center;
  }

  .entry-content .wpcf7-form .form-group.ascenseur p {
    display: block;
  }

  .form-group.ascenseur .ascenseur-checkbox {
    margin-top: 10px;
    margin-top: 0.675rem;
  }

  .entry-content .wpcf7-form .form-group.ascenseur label {
    flex-direction: column;
    margin-right: 0;
  }

  .entry-content
    .wpcf7-form
    .form-group.ascenseur
    .ascenseur-checkbox
    input[type="checkbox"] {
    margin: 0;
  }
}

/* ------------------------------
   Formulaire page contact
------------------------------ */

.entry-content .page-contact .wpcf7-form input,
.entry-content .page-contact .wpcf7-form textarea,
.entry-content .page-contact .wpcf7-select {
  color: var(--ast-global-color-0);
  border: 1px solid var(--ast-global-color-0);
}

.entry-content .page-contact .wpcf7-form label {
  color: var(--ast-global-color-0);
}

.entry-content .page-contact .wpcf7-form input::-moz-placeholder,
.entry-content .page-contact .wpcf7-form textarea::-moz-placeholder {
  color: var(--ast-global-color-0);
}

.entry-content .page-contact .wpcf7-form input::placeholder,
.entry-content .page-contact .wpcf7-form textarea::placeholder {
  color: var(--ast-global-color-0);
}

.entry-content .page-contact .wpcf7-form input:hover,
.entry-content .page-contact .wpcf7-form input:focus,
.entry-content .page-contact .wpcf7-form input:active,
.entry-content .page-contact .wpcf7-form .wpcf7-select:hover,
.entry-content .page-contact .wpcf7-form .wpcf7-select:focus,
.entry-content .page-contact .wpcf7-form .wpcf7-select:active,
.entry-content .page-contact .wpcf7-form textarea:hover,
.entry-content .page-contact .wpcf7-form textarea:focus,
.entry-content .page-contact .wpcf7-form textarea:active {
  border-style: solid;
  border-color: var(--ast-global-color-1);
}

.entry-content .page-contact .politique {
  color: var(--ast-global-color-0);
}

.page-contact .politique a {
  color: var(--ast-global-color-0);
}

.page-contact .politique a:hover,
.page-contact .politique a:focus,
.page-contact .politique a:active {
  color: var(--ast-global-color-1);
}

.entry-content .page-contact input[type="checkbox"],
.entry-content .page-contact span.checkbox {
  border: 1px solid var(--ast-global-color-0);
}

.entry-content .page-contact .wpcf7-form .wpcf7-spinner {
  background-color: var(--ast-global-color-0);
}

.entry-content .page-contact .wpcf7 form.invalid .wpcf7-response-output {
  color: var(--ast-global-color-0);
}

.entry-content .page-contact .wpcf7-form input[type="submit"] {
  color: var(--ast-global-color-1);
}

.entry-content .page-contact .wpcf7-form input[type="submit"]:hover,
.entry-content .page-contact .wpcf7-form input[type="submit"]:focus,
.entry-content .page-contact .wpcf7-form input[type="submit"]:active {
  color: var(--ast-global-color-0);
  background-color: var(--ast-global-color-1);
}

/* ------------------------------
   Tableau
------------------------------ */

.entry-content .tab_section .tab_section__wrapper {
  width: 100%;
  min-width: 620px;
}

.entry-content .tab_section .uagb-container-inner-blocks-wrap {
  overflow: auto;
}

.tab_section .tab_section__wrapper {
  border: 2px solid var(--ast-global-color-0);
  border-radius: 20px;
}

.tab_section .tab_section__wrapper .wp-block-uagb-container {
  border-bottom: 2px solid var(--ast-global-color-0);
  border-right: 2px solid var(--ast-global-color-0);
  padding: 10px 15px;
  padding: 0.625rem 0.938rem;
}

.tab_section
  .tab_section__wrapper
  .wp-block-uagb-container:nth-last-child(-n + 5) {
  border-bottom: 0;
}

.tab_section .tab_section__wrapper .wp-block-uagb-container:nth-child(5n) {
  border-right: 0;
}

/* ------------------------------
   Responsive
------------------------------ */

.widget * {
  margin: 0;
  text-decoration: none;
}

.widget .wp-block-heading {
  margin-bottom: 20px;
  margin-bottom: 1.25rem;
}

.widget .menu-link {
  font-size: 1.2rem;
  line-height: 1.2em;
  font-weight: 600;
  font-family: "Montserrat", sans-serif;
}

.widget .uagb-heading-text,
.widget .uagb-heading-text a,
.widget .menu-link,
.widget .menu-item {
  padding: 10px;
  padding: 0.625rem;
}

.widget .uagb-heading-text a,
.widget .menu-link {
  opacity: 0.5;
}

.widget .uagb-heading-text a:hover,
.widget .uagb-heading-text a:focus,
.widget .uagb-heading-text a:active,
.widget .menu-link:hover,
.widget .menu-link:focus,
.widget .menu-link:active {
  color: var(--ast-global-color-1) !important;
}

.site-above-footer-wrap .widget-area.footer-widget-area {
  margin-bottom: 30px !important;
  margin-bottom: 1.875rem !important;
}

.site-footer .site-primary-footer-wrap {
  padding-bottom: 20px;
  padding-bottom: 1.25rem;
}

.footer-nav-wrap .ast-nav-menu {
  font-size: 12px;
}

.footer-nav-wrap .ast-nav-menu a:hover,
.footer-nav-wrap .ast-nav-menu a:focus,
.footer-nav-wrap .ast-nav-menu a:active {
  color: var(--ast-global-color-1);
}

.site-footer-section {
  margin: 0 !important;
}

/* ------------------------------
   Responsive
------------------------------ */

/* Process card */

@media (min-width: 780px) {
  /* Process card */

  .entry-content
    .wp-block-uagb-container.section__process-cards
    .uagb-container-inner-blocks-wrap {
    grid-template-columns: repeat(2, minmax(320px, 1fr)) !important;
  }
}

@media (min-width: 1200px) {
  /* Process card */

  .entry-content
    .wp-block-uagb-container.section__process-cards
    .uagb-container-inner-blocks-wrap {
    grid-template-columns: repeat(3, minmax(320px, 1fr)) !important;
  }

  .process_card h2 {
    font-size: 3rem;
    font-size: 2.8vw;
  }
}

@media (max-width: 1080px) {
  .ast-builder-menu-1 a {
    padding: 0.5rem 0;
  }
  .sd-container {
    padding-inline: 1rem;
  }
}

@media (min-width: 768px) {
  .entry-content .section__service-cards {
    padding: 25px;
    padding: 1.563rem;
  }

  /* IMG about + IMG service */

  .entry-content .wrapper__block-img .img-about {
    min-width: 380px;
  }

  .entry-content .wrapper__block-img,
  .entry-content .wrapper__block-img .img-about,
  .entry-content .wrapper__block-img .img-service,
  .entry-content .wrapper__block-img img {
    width: 100%;
    height: 100%;
  }

  .entry-content .wrapper__block-img .img-about,
  .entry-content .wrapper__block-img .img-service,
  .entry-content .wrapper__block-img img {
    min-height: 100%;
  }

  @media (max-width: 976px) {
    .entry-content .wrapper__block-img .img-about {
      min-height: 280px;
    }
  }

  /* Splide */

  .post-loop {
    flex-direction: row;
  }

  .container-img,
  .container-text {
    width: 50%;
  }
}

@media (max-width: 544px) {
  h1 {
    font-size: clamp(1.6rem, 6vw, 2.2rem);
  }
  h2 {
    font-size: clamp(1.4rem, 5vw, 1.8rem);
  }
  .wp-block-button__link {
    width: 100%;
    text-align: center;
  }
}

@media (min-width: 977px) {
  /* seervice card */

  .entry-content .section__service-cards {
    padding: 50px;
    padding: 3.125rem;
  }
}

@media (min-width: 977px) {
  /* footer */
  .widget .wp-block-heading,
  .widget .wp-block-group .uagb-heading-text,
  .widget_text p {
    text-align: left !important;
  }

  .widget .uagb-heading-text,
  .widget .uagb-heading-text a,
  .widget .menu-link,
  .widget .menu-item {
    padding: 10px 10px 10px 0;
    padding: 0.625rem 0.625rem 0.625rem 0;
  }
}

@media (max-width: 976px) {
  .widget .menu-link {
    font-size: 16px;
    font-size: 1rem;
  }

  .has-large-font-size {
    font-size: 22px !important;
    font-size: 1.375rem !important;
  }
}

@media (min-width: 768px) and (max-width: 976px) {
  .site-footer .site-footer-section-1 {
    display: flex !important;
    justify-content: center;
    align-items: center !important;
    margin: 0;
    width: 100%;
    height: 100%;
  }
}

@media (max-width: 767px) {
  .ast-theme-transparent-header
    #ast-fixed-header
    .ast-main-header-wrap
    .main-header-bar {
    width: 100% !important;
  }
}

@media (max-width: 976px) {
  .ast-theme-transparent-header
    #ast-desktop-header
    > .ast-main-header-wrap
    > .main-header-bar,
  .ast-theme-transparent-header
    #ast-mobile-header
    > .ast-main-header-wrap
    > .main-header-bar {
    backdrop-filter: none;
    box-shadow: none;
    border: none;
    min-height: var(--hdr, 72px);
    /* transition: none; */
  }
}

.header-single__img::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--ast-global-color-0);
  opacity: 0.3;
}

.article-infos {
  display: block;
}

.article-infos .uagb-container-inner-blocks-wrap {
  display: inline-flex !important;
  width: auto !important;
  padding: 10px 20px;
  padding: 0.625rem 1.25rem;
  background-color: var(--ast-global-color-5);
  border-radius: 20px;
}

.article-infos a {
  text-decoration: underline;
}

.article-infos a:hover,
article-infos a:focus,
article-infos a:active {
  color: var(--ast-global-color-1);
}

.other-article .wp-block-uagb-container:nth-child(2) {
  margin-top: 30px;
}

@media (min-width: 977px) {
  .other-article .wp-block-uagb-container:nth-child(2) {
    margin-top: 0;
  }
}

.article-footer_card::before {
  content: "";
  position: absolute;
  top: -20px;
  left: 30px;
  right: 30px;
  height: 1px;
  background: var(--ast-global-color-1);
}

.site-header-section .header-widget-area-inner {
  padding: 12px;
}

@media (min-width: 977px) {
  .site-header-section .header-widget-area-inner {
    padding: 0;
    padding-left: 10px;
  }
}

.ast-grid-right-section {
  position: relative;
}

.widget {
  margin: 0;
}

.ast-header-break-point .main-header-bar {
  line-height: 1;
}

.btn_phone-numbers {
  cursor: pointer;
}

.phone-numbers {
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s linear;
}

.phone-numbers.is-active {
  opacity: 1;
  visibility: visible;
}

.wp-block-uagb-container.phone-numbers {
  position: absolute;
  right: 0;
  width: 160px;
  text-align: center;
  background: var(--ast-global-color-0);
  padding: 20px;
  border-radius: 20px;
}

.ast-grid-right-section
  .wp-block-uagb-container.uagb-is-root-container.phone-numbers
  .uagb-container-inner-blocks-wrap {
  row-gap: 10px;
}

.phone-numbers .uagb-container-inner-blocks-wrap .wp-block-uagb-container {
  width: 100%;
  max-width: 100%;
}

.single-post main img {
  border-radius: 20px;
}

.uagb-loop-post figure {
  border-radius: 20px;
  overflow: hidden;
}

.uagb-loop-post img {
  min-height: 250px;
}

.team-contact {
  border: 1px solid var(--ast-global-color-0);
  border-radius: 20px;
}

.team-contact:hover,
.team-contact:focus,
.team-contact:active {
  border: 1px solid var(--ast-global-color-1);
  color: var(--ast-global-color-1);
}

.team-contact:hover h2 a,
.team-contact:focus h2 a,
.team-contact:active h2 a {
  color: var(--ast-global-color-1);
}

.ast-mobile-popup-drawer .ast-nav-menu .menu-item::after {
  content: "" !important;
}

@media (min-width: 545px) and (max-width: 976px) {
  .footer-widget-area[data-section="section-footer-menu"]
    .astra-footer-tablet-vertical-menu {
    display: flex;
    justify-content: flex-start;
  }

  .ast-nav-menu .menu-item span {
    padding-right: 8px;
  }

  #astra-footer-menu .menu-item > a {
    padding: 8px;
  }
}

@media (min-width: 545px) {
  .site-footer .site-primary-footer-wrap .ast-builder-grid-row {
    grid-template-columns: auto 1fr;
    min-height: 0;
  }

  .ast-nav-menu .menu-item {
    position: relative;
  }

  .ast-nav-menu .menu-item span {
    padding-right: 8px;
  }

  .ast-nav-menu .menu-item::after {
    content: "|" !important;
    position: absolute;
    color: var(--ast-global-color-1);
    right: 0;
  }

  .ast-nav-menu .menu-item:last-child:after {
    content: "" !important;
  }
}

/* Cache le container si la pagination ne contient aucun <a> */
.wp-block-uagb-container.wrap-pagination:has(
    .uagb-loop-pagination:not(:has(a))
  ) {
  display: none;
}

.uagb-loop-container {
  justify-content: center;
}

.entry-content .uagb-loop-container > .uagb-loop-post {
  min-width: 320px;
}

.wsp-container {
  text-align: center;
}

.wsp-container ul {
  list-style: none;
}

.wsp-container ul li {
  margin-bottom: 20px;
}

.wsp-container ul li:last-child {
  margin-bottom: 0;
}

.wsp-container ul a {
  padding: 10px 20px;
}

.wsp-container ul a:hover,
.wsp-container ul a:focus,
.wsp-container ul a:active {
  color: var(--ast-global-color-1);
}

.wsp-category-title a {
  display: block;
  text-align: left;
  font-size: 24px;
  margin-bottom: 20px;
}

.entry-content
  .services
  .wp-block-uagb-advanced-heading.title
  .uagb-heading-text {
  margin-bottom: -6px;
}

.marquee {
  /* Réglez la vitesse et l'espacement ici */
  --gap: 3rem;
  --duration: 18s; /* plus grand = plus lent */
  --direction: normal; /* reverse = gauche -> droite ; normal = droite -> gauche */

  overflow: hidden; /* masque ce qui sort */
  width: 100%;
  position: relative;
}

.marquee__track {
  display: flex;
  gap: var(--gap);
  width: max-content; /* s'adapte à la longueur réelle du contenu */
  will-change: transform;
  animation: marquee var(--duration) linear infinite var(--direction);
}

.marquee__track > * {
  flex: 0 0 auto; /* empêche le retour à la ligne */
  white-space: nowrap; /* le texte reste sur une ligne */
}

.entry-content .marquee h2 span {
  font-size: 48px;
  font-size: clamp(3rem, 4vw, 4rem);
  color: var(--ast-global-color-1);
}

/* Animation : défilement continu en bouclant sur 2 séries identiques */
@keyframes marquee {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  } /* -50% car on a 2 séries identiques l'une à la suite de l'autre */
}

/* Pause au survol */
.marquee:hover .marquee__track {
  animation-play-state: paused;
}

/* Réduit/stoppe l'animation pour les personnes sensibles aux animations */
@media (prefers-reduced-motion: reduce) {
  .marquee__track {
    animation: none;
    transform: none;
  }
}
